* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
body {
    width: 100%;
    overflow-x: hidden;
}
.container {
    width: 100%;
    max-width: 1200px;
    margin: 0 auto;
    padding: 0 15px;
}
.blog-carousel {
    position: relative;
    width: 100%;
    height: 220px; /* Altura máxima definida */
    overflow: hidden;
    border-radius: 18px;
}
.carousel-item {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 220px; /* Altura máxima definida */
    opacity: 0;
    transition: opacity 1s ease-in-out;
}
.carousel-item.active {
    opacity: 1;
}
.carousel-item img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
}
.carousel-content {
    position: absolute;
    bottom: 24px;
    left: 24px;
    right: 24px;
}
.category {
    background-color: transparent;
    border: 1px solid var(--color-orquidea);
    color: var(--color-orquidea);
    padding: 4px 16px;
    border-radius: 30px;
    font-size: 15px;
    margin-bottom: 8px;
    display: inline-block;
}
.category-checkbox {
    cursor: pointer;
}
.title {
    color: white;
    font-size: 24px;
    font-weight: bold;
    margin: 0;
    text-shadow: 1px 1px 3px rgba(0, 0, 0, 0.6);
}
.carousel-indicators {
    position: absolute;
    top: 50%;
    right: 20px; /* Margem direita */
    transform: translateY(-50%);
    display: flex;
    flex-direction: column;
    align-items: flex-end;
    transition: background-color 0.3s ease;
}
.indicator {
    width: 12px;
    height: 12px;
    border-radius: 50%;
    background-color: rgba(255, 255, 255, 0.5);
    margin: 6px 0;
    cursor: pointer;
    transition: all 0.3s ease-in-out;
}
.indicator.active {
    width: 35px; /* Largura aumentada quando ativo */
    height: 12px;
    border-radius: 150px;
    background-color: var(--color-orquidea);
}

/* Responsive adjustments */
@media (max-width: 1280px) {
    .blog-carousel {
        border-radius: 12px;
    }
    .carousel-content {
        bottom: 16px;
        left: 16px;
        right: 16px;
    }
    .category {
        font-size: 12px;
        padding: 3px 12px;
    }
    .title {
        font-size: 20px;
    }
    .carousel-indicators {
        right: 15px; /* Ajuste para telas menores */
    }
    .indicator {
        width: 10px;
        height: 10px;
        margin: 4px 0;
    }
}
@media (max-width: 480px) {
    .carousel-content {
        bottom: 12px;
        left: 12px;
        right: 12px;
    }
    .category {
        font-size: 10px;
        padding: 2px 10px;
    }
    .title {
        font-size: 16px;
    }
    .carousel-indicators {
        right: 10px; /* Ajuste para telas muito pequenas */
    }
    .indicator {
        width: 8px;
        height: 8px;
        margin: 3px 0;
    }
}

.container {
    max-width: 1200px;
    margin: 0 auto;
    padding: 0 15px;
}

.postagens {
    padding: 40px 0;
}

.filter-search {
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 20px;
    margin-bottom: 60px;
    width: 100%;
}

.filter-container {
    position: relative;
    padding-bottom: 50px;
}

.filter-btn {
    padding: 20px 60px;
    border: 1px solid #ddd;
    border-radius: 150px;
    background: var(--color-azul);
    cursor: pointer;
    font-size: 1rem;
    transition: all 0.3s ease;
}

.filter-btn:hover {
    background: var(--color-branco);
    color: var(--color-azul);
    border: 1px solid var(--color-azul);
}

.filter-icon {
    position: absolute;
    left: 20%;
    top: 39%;
}

.category-dropdown {
    position: absolute;
    top: calc(100% + 10px);
    left: 0;
    background: white;
    border: 1px solid #ddd;
    border-radius: 21px;
    padding: 48px 48px;
    /* box-shadow: 0 4px 12px rgba(0, 0, 0, 0.1); */
    z-index: 1000;
    min-width: 290px;
    opacity: 0;
    visibility: hidden;
    transform: translateY(-10px);
    transition: all 0.3s ease;
}

.category-dropdown.active {
    opacity: 1;
    visibility: visible;
    transform: translateY(0);
}

.category-select {
    display: none;
    margin-left: 10px;
    padding: 8px;
}

.close-btn {
    position: absolute;
    top: 18px;
    left: 87%;
    width: 24px;
    height: 24px;
    border: none;
    background: none;
    cursor: pointer;
    padding: 0;
    display: flex;
    align-items: center;
    justify-content: center;
}

.close-btn::before,
.close-btn::after {
    content: "";
    position: absolute;
    width: 16px;
    height: 2px;
    background-color: #666;
    transition: background-color 0.3s ease;
}

.close-btn::before {
    transform: rotate(45deg);
}

.close-btn::after {
    transform: rotate(-45deg);
}

.close-btn:hover::before,
.close-btn:hover::after {
    background-color: #333;
}

.search-container {
    position: relative;
    flex-grow: 1;
    max-width: 300px;
}

.search-input {
    width: 100%;
    padding: 10px 40px 10px 30px;
    border: 1px solid #bec0cc;
    border-radius: 150px;
    font-size: 14px;
}

.search-input::placeholder {
    text-align: center;
    color: #565866;
    font-weight: 400;
    font-size: 1rem;
    font-family: "Onest", serif;
}

.search-icon {
    position: absolute;
    right: 15px;
    top: 50%;
    left: 32%;
    transform: translateY(-50%);
    color: #666;
}

.checkbox-group {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 12px;
    margin-top: 10px;
}

.checkbox-label {
    display: flex;
    align-items: center;
    padding: 8px 16px;
    border-radius: 150px;
    background: #fff;
    border: 1px solid var(--color-azul);
    color: var(--color-azul);
    cursor: pointer;
    transition: all 0.3s ease;
    width: fit-content;
    font-weight: 600;
    text-align: center;
    font-size: 0.9rem;
}

.checkbox-label:hover {
    background: var(--color-azul);
    color: var(--color-branco);
    border: 1px solid var(--color-azul);
}

.checkbox-label.selected {
    background: #0a0042;
    border-color: #0a0042;
    color: #fff;
}

.category-checkbox {
    display: none;
}

/* Adicione ao seu arquivo blog.css */
.load-more-container {
    display: flex;
    justify-content: center;
    margin: 40px 0;
}

.load-more-btn {
    width: 380px;
    height: 48px;
    padding: 12px 38px;
    gap: 10px;
    border-radius: 150px;
    background: var(--color-azulceu);
    border: 1px solid var(--color-azulceu);
    color: var(--color-azul);
    cursor: pointer;
    font-size: 1.2rem;
    font-weight: 500;
    transition: all 0.3s ease;
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
}

.load-more-btn:hover {
    background: #f5f5f5;
}

.load-more-btn.loading {
    pointer-events: none;
    opacity: 0.7;
}

/* Estilo do spinner */
.loading-spinner {
    margin-left: 10px;
}

.spinner {
    animation: rotate 2s linear infinite;
    width: 20px;
    height: 20px;
}

.path {
    stroke: #0a0042;
    stroke-linecap: round;
    animation: dash 1.5s ease-in-out infinite;
}

@keyframes rotate {
    100% {
        transform: rotate(360deg);
    }
}

@keyframes dash {
    0% {
        stroke-dasharray: 1, 150;
        stroke-dashoffset: 0;
    }
    50% {
        stroke-dasharray: 90, 150;
        stroke-dashoffset: -35;
    }
    100% {
        stroke-dasharray: 90, 150;
        stroke-dashoffset: -124;
    }
}

/* Estilo quando selecionado */
.category-checkbox:checked + span {
    color: #fff;
}

.checkbox-label.selected {
    background: #0a0042;
    border-color: #0a0042;
    color: #fff;
}

.no-posts {
    text-align: center;
    padding: 40px;
    width: 100%;
    color: #666;
    font-size: 16px;
}

article:hover {
    background-color: #e6ebf5;
    transition: 0.5s;
    cursor: pointer;
}

article {
    transition: 0.5s;
}

.posts-grid {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(300px, 1fr));
    gap: 30px;
    margin-top: 30px;
}

.posts-grid article .post-title h3 {
    font-size: 1.4rem;
    line-height: 27px;
    color: var(--color-azul);
}

.posts-grid article p.post-description {
    font-size: 1rem;
    text-align: left;
}

.post-item {
    border: 1px solid #ddd;
    border-radius: 32px;
    overflow: hidden;
    transition: transform 0.2s ease;
    padding-top: 20px;
}

.post-item:hover {
    transform: translateY(-5px);
}

.post-image {
    width: 324px;
    height: 240px;
    object-fit: cover;
    border-radius: 30px;
}

.post-content {
    padding: 20px;
    padding-bottom: 30px;
}

.post-date {
    color: var(--color-orquidea);
    font-size: 14px;
    font-weight: 600;
}

.post-title {
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
    margin: 10px 0;
}

.post-title h3 {
    margin: 0;
    font-size: 18px;
    color: #333;
}

.post-title a {
    text-decoration: none;
    color: inherit;
}

.arrow-icon {
    width: 20px;
    height: 20px;
}

.post-description {
    color: #666;
    font-size: 14px;
    line-height: 1.5;
    margin: 0;
}

.filter-search {
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 20px;
    margin-bottom: 30px;
    width: 100%;
    position: relative;
}

.filter-btn {
    width: 159px;
    height: 48px;
    padding: 12px 38px;
    border-radius: 150px 0px 0px 0px;
    background: #fff;
    border: 1px solid #ddd;
    cursor: pointer;
    font-size: 14px;
    transition: all 0.3s ease;
}

@media (max-width: 1280px) {
    .posts-grid {
        grid-template-columns: repeat(2, 1fr);
    }
    .search-container {
        margin-top: 15px;
    }

    .filter-search {
        flex-wrap: nowrap; /* Mantém os elementos em uma linha */
    }

    .search-input {
        /* width: 100%; Permite que o input se ajuste ao espaço disponível */
        /* min-width: 200px; Largura mínima para manter usabilidade */
    }

    .search-icon {
        /* transform: translate(calc(-50% - 60px), -50%); Ajusta a posição do ícone responsivamente */
    }
}

@media (max-width: 1280px) {
    .posts-grid {
        grid-template-columns: 1fr;
    }

    .search-input {
        width: 100%;
    }

    .post-image {
        width: 100%;
        height: auto;
        aspect-ratio: 4/3;
    }

    .loading-overlay {
        position: fixed;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        background: rgba(255, 255, 255, 0.8);
        display: flex;
        justify-content: center;
        align-items: center;
        z-index: 1000;
    }

    .loading-spinner {
        width: 50px;
        height: 50px;
        border: 3px solid #f3f3f3;
        border-top: 3px solid #0a0042;
        border-radius: 50%;
        animation: spin 1s linear infinite;
    }

    .animate-fade-in {
        opacity: 0;
        animation: fadeIn 0.5s ease-in forwards;
    }

    @keyframes spin {
        0% {
            transform: rotate(0deg);
        }
        100% {
            transform: rotate(360deg);
        }
    }

    @keyframes fadeIn {
        from {
            opacity: 0;
            transform: translateY(20px);
        }
        to {
            opacity: 1;
            transform: translateY(0);
        }
    }

    .filter-container {
        position: relative;
    }

    .search-container {
        margin-top: 0;
        position: relative;
        flex-grow: 1;
        max-width: 48px;
        height: 48px;
    }
    .search-input {
        float: right;
        width: 48px;
        height: 48px;
        padding: 0;
        border: 1px solid #ddd;
        border-radius: 4px;
        font-size: 14px;
        border-radius: 100%;
        text-indent: 48px;
        transition: all 200ms ease-in-out;
    }

    .search-input:focus {
        border-radius: 20px;
        text-indent: 15px;
        width: 200px;
    }

    .post-image {
        width: 100%;
        max-width: 324px;
        height: auto;
        aspect-ratio: 4/3;
    }
}

.relacionadas .coluna-imagem img {
    width: 324px;
    height: 240px;
}

/* Animação do overlay do filtro */
@keyframes dissolveOverlay {
    from {
        opacity: 0;
    }
    to {
        opacity: 1;
    }
}

.filter-overlay {
    animation: dissolveOverlay 300ms ease-out;
}

.newsletter {
    padding: 81px 0;
    background-color: var(--color-orquidea);
}

.container-newsletter {
    max-width: 600px;
    margin: 0 auto;
    padding: 0 15px;
}

.container-newsletter button {
    right: 15px;
    left: initial;
}

.container-newsletter h2 {
    font-size: 2.9rem;
}

.container-newsletter .privacy-policy,
.container-newsletter .privacy-policy a {
    color: var(--color-branco);
}

h2 {
    text-align: center;
    margin-bottom: 20px;
    font-size: 24px;
    color: var(--color-branco);
}

.newsletter-form {
    margin-bottom: 15px;
    padding-left: 7%;
    padding-right: 7%;
}

.newsletter-form button {
    position: absolute;
    right: 6px;
    top: 50%;
    padding: 8px 30px;
    color: #fff;
    border-radius: 35px;
    border: none;
    background-color: #0a0042;
    transform: translateY(-50%);
}

.input-wrapper {
    position: relative;
    display: flex;
    align-items: center;
}

input[type="email"] {
    width: 100%;
    padding: 12px 80px 12px 60px;
    border: 1px solid #e8e9ed;
    border-radius: 35px;
    font-size: 16px;
    background-color: var(--color-orquidea); /* Fundo vermelho */
}

input[type="email"]::placeholder {
    color: rgba(255, 255, 255, 0.8); /* 80% opaco */
}

/* Para compatibilidade com navegadores mais antigos */
input[type="email"]::-webkit-input-placeholder {
    /* Chrome/Opera/Safari */
    color: var(--color-branco);
}
input[type="email"]::-moz-placeholder {
    /* Firefox 19+ */
    color: var(--color-branco);
}
input[type="email"]:-ms-input-placeholder {
    /* IE 10+ */
    color: var(--color-branco);
}
input[type="email"]:-moz-placeholder {
    /* Firefox 18- */
    color: var(--color-branco);
}

.email-icon {
    position: absolute;
    left: 33px;
    color: var(--color-branco);
}

.filter-search button {
    position: absolute;
    left: 5px;
    background-color: var(--color-azul);
    color: white;
    border: none;
    border-radius: 48px;
    padding: 6px 12px;
    font-size: 14px;
    cursor: pointer;
    transition: background-color 0.3s ease;
}

button:hover {
    background-color: #0056b3;
}

.privacy-policy {
    text-align: center;
    font-size: 1rem;
    color: #666;
}

.privacy-policy a {
    color: #007bff;
    text-decoration: none;
    font-weight: 700;
}

.privacy-policy a:hover {
    text-decoration: underline;
}

@media (max-width: 480px) {
    input[type="email"] {
        padding-right: 100px;
    }

    button {
        font-size: 14px;
        padding: 8px 10px;
    }
}
